Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class ModifierType

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.ModifierType

public final class ModifierType
extends java.lang.Object

See Also:

Field Summary
`static java.lang.String` | `cName`
`static ModifierType` | `FIXED_OFF`
`static ModifierType` | `FIXED_PRICE`
`static int` | `I_FIXED_OFF`
`static int` | `I_FIXED_PRICE`
`static int` | `I_PERCENT_OFF`
`static ModifierType` | `PERCENT_OFF`
`static java.lang.String` | `S_FIXED_OFF`
`static java.lang.String` | `S_FIXED_PRICE`
`static java.lang.String` | `S_PERCENT_OFF`

Method Summary
`boolean` | `equals(java.lang.Object object)`
`int` | `getInt()`
`static ModifierType` | `getObject(java.lang.String token)`
`java.lang.String` | `getString()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final java.lang.String cName

### I_PERCENT_OFF

    public static final int I_PERCENT_OFF

### I_FIXED_OFF

    public static final int I_FIXED_OFF

### I_FIXED_PRICE

    public static final int I_FIXED_PRICE

### PERCENT_OFF

    public static final ModifierType PERCENT_OFF

### FIXED_OFF

    public static final ModifierType FIXED_OFF

### FIXED_PRICE

    public static final ModifierType FIXED_PRICE

### S_PERCENT_OFF

    public static final java.lang.String S_PERCENT_OFF

### S_FIXED_OFF

    public static final java.lang.String S_FIXED_OFF

### S_FIXED_PRICE

    public static final java.lang.String S_FIXED_PRICE

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### getString

    public java.lang.String getString()

### getInt

    public int getInt()

### getObject

    public static ModifierType getObject(java.lang.String token)

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved